<?php

namespace Modules\BuyFactor\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Modules\Supplier\Entities\Supplier;

class BuyFactor extends Model
{
    protected $guarded=['id'];

    public function supplier()
    {
        return $this->belongsTo(Supplier::class);
    }
    public function products()
    {
        return $this->hasMany(BuyFactorProduct::class,'factor_id');
    }
}
